# findAllAnnotationsOnPod<A> method

1. @override

Future<Set<A>> findAllAnnotationsOnPod<A>(

1. String podName,
2. Class<A> type

)
override

Finds all annotations of the specified type on a pod.

Some annotations can be repeated (like @RequestMapping in controllers). This method returns all instances of the annotation.

## Usage Example:

    final validations = await factory.findAllAnnotationsOnPod<Validated>(
      'userService',
      Class<Validated>(),
    );

    for (final validation in validations) {
      print('Validation rule: ${validation.rule}');
    }

@param podName The name of the pod to check @param type The annotation type to look for @return A Future that completes with a set of all found annotations

## Implementation

    @override
    Future<Set<A>> findAllAnnotationsOnPod<A>(String podName, Class<A> type) async {
      if (_parent != null && await _parent!.getPodFactory().containsDefinition(podName)) {
        return await _parent!.getPodFactory().findAllAnnotationsOnPod(podName, type);
      }

      return await getPodFactory().findAllAnnotationsOnPod(podName, type);
    }